For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTNotification Webhook
        • GETGet Subscriptions
        • POSTCreate Subscription
        • PATCHUpdate Subscription
Get supportSee a Demo
API ReferenceNotificationsSubscriptions

Update Subscription

PATCH
/v2/issuers/:organizationId/subscriptions/:subscriptionId
PATCH
/v2/issuers/:organizationId/subscriptions/:subscriptionId
$curl -X PATCH https://rewards-api.getkard.com/v2/issuers/organization-123/subscriptions/subscription-123 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "type": "subscription",
> "attributes": {
> "eventName": "earnedRewardApproved",
> "webhookUrl": "https://webhookUrl.com/post",
> "enabled": true
> }
> }
>}'
1{
2 "data": {
3 "type": "subscription",
4 "attributes": {
5 "eventName": "earnedRewardApproved",
6 "webhookUrl": "https://webhookUrl.com/post",
7 "enabled": true
8 },
9 "id": "0193i257-014e-7dd2-9455-fb964d9c85cr"
10 }
11}

Call this endpoint to update existing notification subscriptions.
Required scopes: notifications:write

Was this page helpful?
Previous

Create Attribution Events

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
subscriptionIdstringRequired
The ID of the subscription

Request

This endpoint expects an object.
dataobjectRequired

Response

This endpoint returns an object.
dataobject

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error